From 2575288a19cc9f75f239b777b327e0807debb62d Mon Sep 17 00:00:00 2001
From: "James D. Mitchell" <jdm3@st-andrews.ac.uk>
Date: Mon, 7 Apr 2025 14:30:27 +0200
Subject: [PATCH] Try to resolve #557

---
 include/libsemigroups/detail/todd-coxeter-impl.hpp | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/include/libsemigroups/detail/todd-coxeter-impl.hpp b/include/libsemigroups/detail/todd-coxeter-impl.hpp
index a8e66af50..253b0ba19 100644
--- a/include/libsemigroups/detail/todd-coxeter-impl.hpp
+++ b/include/libsemigroups/detail/todd-coxeter-impl.hpp
@@ -505,13 +505,16 @@ namespace libsemigroups {
       ////////////////////////////////////////////////////////////////////////
 
 #ifndef LIBSEMIGROUPS_PARSED_BY_DOXYGEN
-      // This is documented in Runner, so we don't duplicate the doc here.
-      template <typename T>
-      void report_every(T val) {
+      // This is documented in Reporter, so we don't duplicate the doc here.
+      template <typename Time>
+      void report_every(Time val) {
         detail::CongruenceCommon::report_every(val);
         _word_graph.report_every(val);
       }
-      using Reporter::report_every;
+
+      [[nodiscard]] nanoseconds report_every() const noexcept {
+        return Reporter::report_every();
+      }
 #endif
 
       //! \ingroup todd_coxeter_class_settings_group
